Page MenuHomePhabricator

Hide "(Redirected from …)" notice when printing articles
Closed, ResolvedPublic

Description

Currently when you print a page, the contentSub section is printed as well. At least on articles, this seems not desired I think (it's metadata right?). I suggest we add a definition to CommonPrint.css

.ns-0 #contentSub,

should be added to the list of .noprint items items (line 100) of commonPrint.css


Version: 1.24rc
Severity: enhancement
Whiteboard: gci2014

Details

Reference
bz16296

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:25 PM
bzimport set Reference to bz16296.
bzimport added a subscriber: Unknown Object (MLST).
TheDJ created this task.Nov 10 2008, 3:29 PM
TheDJ added a comment.Nov 10 2008, 3:40 PM

What this prevents is that you get "Redirected from someothertitle" in your print-outs.

Confirming that this is still an issue in 1.24, with https://en.wikipedia.org/wiki/Michael_jackson when just going to "File > Print" in my browser.
Same for "Printable version" in the sidebar which would be https://en.wikipedia.org/w/index.php?title=Michael_jackson&printable=yes

We probably can't just hide #contentSub, as there's all kinds of other things that get put inside it.

(Grep for /->(setSubtitle|appendSubtitle|addSubtitle|addBacklinkSubtitle)/.)

Duh, so let's wrap the message in another element and hide that instead. Easy-peasy.

What about #contentSub2 ?

It's used in instances like View or restore # deleted edits? in un-deletions for example.

Change 175196 merged by jenkins-bot:
Hide 'redirectedfrom' notice when printing articles

https://gerrit.wikimedia.org/r/175196

matmarex closed this task as Resolved.Dec 1 2014, 10:28 PM
matmarex assigned this task to Glaisher.
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
matmarex removed a subscriber: Unknown Object (MLST).